Re: [Forum] gtk-problemer

From: Henrik Brix Andersen <brix@gimp.org>
Date: Sun Dec 15 2002 - 08:34:10 CET

On Sat, 2002-12-14 at 20:22, root wrote:
> "gtk-config --version" og "gtk12-config --version" siger command not found.

Disse er kun installeret, hvis udviklingsdelen af GTK er installeret.
For at kompilere MPlayer med GUI skal du have udviklingsdelen af GTK
installeret.

> Og jeg prøver mig lidt frem med filer og deres placeringer i stedet for pakker, som jeg ikke har held med: Jeg løber hele tiden ind i kompatibilitetsproblemer, eller den og den pakke findes ikke i den ønskede version. Kildekoden vil ikke kompilere osv.
> SÅ det er lidt noget rod.
> Men til gengæld kan jeg finde ud af læse configure-scriptet og den laver et output til make, som der er fejl i. Så nu forsøger jeg at rette Makefile til, så den finder /usr/lib/gtk, hvor jeg har lænket til /usr/lib/gtk-2.0.
> Jeg kører configure-scriptet med parametrene --enable-gui --with-gtk-config=/usr/include/gtk --with-glib-config=/usr/include/glib

Jeg tror ikke du skal regne med, at MPlayers configure-script genererer
en Makefile med fejl i. Det kan bare ikke finde gtk-config, og mener
derfor ikke, at du har GTK-udviklingsdelen installeret.

Prøv at køre en 'find /usr -name "gtk*-config"' og se hvad den siger...

Mvh
./Brix

-- 
Henrik Brix Andersen <brix@gimp.org>
"The gap between theory and practice is wider in practice than in
theory"
                                                       -- Unknown
Received on Sun Dec 15 08:34:15 2002

This archive was generated by hypermail 2.1.8 : Tue Jul 19 2005 - 16:04:31 CEST